aboutsummaryrefslogtreecommitdiffstats
path: root/deliveries/src/main/scripts/localize_log4j.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deliveries/src/main/scripts/localize_log4j.sh')
-rw-r--r--deliveries/src/main/scripts/localize_log4j.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/deliveries/src/main/scripts/localize_log4j.sh b/deliveries/src/main/scripts/localize_log4j.sh
new file mode 100644
index 000000000..d2ab2bba4
--- /dev/null
+++ b/deliveries/src/main/scripts/localize_log4j.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+FINAL_CONFIG_FILE=/tmp/vid/stage/WEB-INF/conf/log4j.properties
+TEMPLATE_CONFIG_FILE=/tmp/vid/stage/WEB-INF/conf/log4j_template.properties
+
+echo "Localizing the VID log4j configuration"
+
+mkdir -p ${LOG4J_LOGS_DIRECTORY}
+
+sed -e 's/${LOG4J_LOGLEVEL}/'${LOG4J_LOGLEVEL}'/g' \
+ -e 's/${LOG4J_APPENDER}/'${LOG4J_APPENDER}'/g' \
+ -e 's,${LOG4J_LOGS_DIRECTORY},'${LOG4J_LOGS_DIRECTORY}',g' ${TEMPLATE_CONFIG_FILE} > ${FINAL_CONFIG_FILE} || {
+ echo "ERROR: Could not process template file ${TEMPLATE_CONFIG_FILE} into ${FINAL_CONFIG_FILE}"
+ exit 3
+ }
+
+echo "Localized ${FINAL_CONFIG_FILE} successfully."
+
+